<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
$ref=rand(100,10000000);

$_title = 'Lineage2';
include 'inclydings/zag.php';
include 'inclydings/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("inclydings/sesi.php");
if (isset($user)) {
include_once("inclydings/udata.php");
if(@file("L2dbnam/esql2db/moders/$log.dat")){


switch($go) {

default:
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"Здравствуйте модератор $log";
echo"<br/>- - -<br/>[<a href=\"moder.php?$sd&go=rules\">Правила наказания</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=dolg\">Обязаности модератора</a>]";
echo"<br/><br/>[<a href=\"moder.php?$sd&go=block\">Дать блок</a>]";
echo"<br/>Управление общением:<br/>[<a href=\"moder.php?$sd&go=chat\">Управление чатом</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=delmsgchat\">Зделать полную очистку чата</a>]";
echo"<br/>Кланы/Альянсы<br/>[<a href=\"moder.php?$sd&go=ali\">Удалить альянс</a>]";
echo"<br/>[<a href=\"moder.php?$sd&go=stat\">Изменить звание главы клана</a>]";

break;
case 'ban':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"Нажав на ник вы разбаните его!<br/>";

$file = file("L2dbnam/esql2db/ban.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode("||",$file[$i]);

$time=time()-86400;

if($data[1]>$time){

$data_name[]=$data[2];
$data_id[]=$i;
}}

if(empty($data_name)){echo"Забаненых нет."; 
include_once"inclydings/down.php";
exit;}

foreach($data_name as $k=>$v)
{
$dat_screen[]="[<a href=\"moder.php?$sd&name=$data_name[$k]&id=$data_id[$k]&go=delban\">$data_name[$k]</a>]<br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo '[<a href="moder.php?start='.($start - 10).'&'.$sd.'&go=ban">Назад</a>] ';}
if ($total > $start + 10) {echo ' [<a href="moder.php?start='.($start + 10).'&'.$sd.'&go=ban">Далее</a>]';}



break;

case 'rules':

echo"
1. За надмеренный флуд [3 предупреждения, а затем бан на 12 часа]<br/>
2. За мат [1 Предупреждение, а затем бан на 12 часа]<br/>
3. За рекламу других интернет ресурсев кроме официальных сайтов как: rambler.ru; mail.ru; yndex.ru; google.com; vkontakte.ru; odnoklasniki.ru и прочие. <b>[Блокировка персонажа]</b><br/>
4. За оскорбление админа/модера [Бан на 24 часа]<br/>
5. За оскорбление игрока [1 Предупреждение, а затем бан на 12]
6. За продажу персонажа [Блокировка персонажа]<br/>
7. Кидалово игроков [Мы ответственность не несем! Если з доказательствами мы вернём персонажа. За доказательство принимаютса: скриншоты,вся информацыя зделанная в течении 5 дней с доказадельствами не менее 10 человек и т.д.]";


break;
case 'block':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo '<form method="post" action="moder.php?'.$sd.'&go=profilsave">';
echo 'Ник:<br />';
echo '<input type="log" name="name" /><br />';
echo 'Причина:<br />';
echo '<input type="log" name="prichina" /><br />';
echo '<input type="submit" class="button" value="Заблочить" />';
echo '<postfield name="name" value="$(name)"/>';
echo '<postfield name="prichina" value="$(prichina)"/>';
echo '</form>';
break;

case 'profilsave':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
include_once("inclydings/functions.php");
$name=check($name);
$prichina=check($prichina);
$date = date("d.m.Y");
$name=htmlspecialchars(stripslashes($name));
$fp=fopen("L2dbnam/esql2db/blocked/$name.dat","w");
if(!@file("L2dbnam/esql2db/reg/$uzer.dat")){echo"Такого игрока нету в базе данных!"; include_once"inclydings/down.php"; exit; }
flock($fp,LOCK_EX);                                                                         
fputs($fp,"$log||$date||$name||$prichina|| ||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$msg="$name заблокирован! Кем: $log Причина: $prichina Дата: $date ";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");

$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);

echo '<div id="menu6">'.$bimg7.' Игрок '.$name.' заблокирован модератором '.$log.'! '.$img37.'</div>
<b>Дата : </b>'.$date.'<br />
<b>Причина :</b> '.$prichina.'<br /></a>';
break;

case 'chat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(empty($udata[35])){$udata[35]="5";}
$file = @file("L2dbnam/esql2db/chat.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $udata[35]){ $end = $total; }
else {$end = $start + $udata[35]; }
for ($i = $start; $i < $end; $i++){
$file = @file("L2dbnam/esql2db/chat.dat");
$file = array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);

$data[6]=str_replace("\r\n", "", $data[6]);


if(!empty($data[1])){
echo"[<a href=\"moder.php?$sd&go=del&id=$i\">DEL</a>][<a href=\"moder.php?$sd&go=ip&name=$data[1]\">БАН</a>] [<a href=\"moder.php?$sd&go=pr&name=$data[1]\">Предупредить</a>] [<a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>]|[<a href=\"moder.php?$sd&go=say&nick=$data[1]\">Ответ</a>] [$data[5]] - $data[0]<br/>[$data[2]/$data[3]]<br/>";}
}
echo "<form action=\"moder.php?$sd&go=chatadd\" method=\"post\">- - -";
echo "<br/><input name=\"msg\" maxlength=\"500\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\" />";
echo "<input type=\"submit\" value=\"Написать\"/></form>";

if ($start != 0) {echo '[<a href="moder.php?start='.($start - $udata[35]).'&'.$sd.'&go=chat">Назад</a>] ';}else{echo'= = = =<br/>';}

if ($total > $start + $udata[35]) {echo ' <small>[<a href="moder.php?start='.($start + $udata[35]).'&'.$sd.'&go=chat">Далее</a>]';}

echo"<br/>[<a href=\"moder.php?$sd&&go=chat&ref=$ref\">Обновить</a>]<br/>";
break;

case 'chatadd':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');

$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);

$msg = htmlspecialchars(stripslashes(addslashes($_POST['msg'])));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i:s");


$text="($time)<br/>$msg#$log#$brow#$ip#$date#$time#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"Сообщение добавлено<br/>[<a href=\"moder.php?$sd&go=chat\">Продолжить!</a>]";
break;

case 'del':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$file = @file("L2dbnam/esql2db/chat.dat");
$total = count($file);

if($id=="0"){$id=$total-1;}else{$id=$total-$id-1;}

$file=file("L2dbnam/esql2db/chat.dat");

$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }

fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

echo"Удалено<br/>[<a href=\"moder.php?$sd&go=chat\">Продолжить!</a>]<br/>";

break;

case 'pr':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$name=htmlspecialchars(stripslashes($name));

echo "Причина придуприждения:";
echo "<form action=\"moder.php?$sd&go=prchat&name=$name\" method=\"post\">- - -";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Предупредить\"/></form>";

break;
case 'prtrade':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$name=htmlspecialchars(stripslashes($name));

echo "Причина придуприждения:";
echo "<form action=\"moder.php?$sd&go=prtradechat&name=$name\" method=\"post\">- - -";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Предупредить\"/></form>";

break;
case 'ip':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$name=htmlspecialchars(stripslashes($name));

echo "Причина бана по ip:";
echo "<form action=\"moder.php?$sd&go=ipban&name=$name\" method=\"post\">- - -";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Забанить\"/></form>";

break;
case 'prtradechat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"$name успешно предупрежден<br/><a href=\"moder.php?$sd&go=tradechat\">Продолжить!</a><br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name вам дал предупреждение Модератор $log. Причина: $prichina";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/trade.dat","a+");

flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'prchat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"$name успешно предупрежден<br/><a href=\"moder.php?$sd&go=chat\">Продолжить!</a><br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name вам дал предупреждение Модератор $log. Причина: $prichina";

$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");

flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'ipban':
$name=htmlspecialchars(stripslashes($name));
$file=@file("L2dbnam/esql2db/chat.dat");
$file = array_reverse($file);

for($i=0; $i<$file; $i++){
$data = explode("#",$file[$i]);

if($name==$data[1]){

$ip=explode(".",$data[3]);
$ipn="$ip[0].$ip[1].$ip[2]";
$time=time();
$prichina=htmlspecialchars(stripslashes($prichina));
$prichina=str_replace("|","",$prichina);
$name=str_replace("|","",$name);

$text="$ipn||$time||$name||$prichina||$data[0]||";

$fp=fopen("L2dbnam/esql2db/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"$name успешно забанен на 24 часов<br/><a href=\"moder.php?$sd&go=chat\">Продолжить!</a><br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name забанен на 24 часов! Модератором: $log. Причина: $prichina ";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);



$file=file("L2dbnam/esql2db/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("L2dbnam/esql2db/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
////////////////////////


exit;}
}

break;
case 'say':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>

<form action=\"moder.php?$sd&go=chatadd\" method=\"post\" name=\"REPLIER\"><B>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'tradesay':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>

<form action=\"moder.php?$sd&go=tradeadd\" method=\"post\" name=\"REPLIER\"><B>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'modersay':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>

<form action=\"moder.php?$sd&go=moderchatadd\" method=\"post\" name=\"REPLIER\"><B>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'delmsgchat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$time=time()-3600;
$dir = opendir ("L2dbnam/esql2db");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){

$file2=@file("L2dbnam/esql2db/chat.dat");
$GLOBALS[total]=count($file2);

$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];

@unlink ("L2dbnam/esql2db/chat.dat");

}

}

if($GLOBALS[all]==""){$GLOBALS[all]="0";}

echo"Удалено: $GLOBALS[all] сообщений.";

$msg="Чат был полностю очищен Модератором: $log.";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'dolg':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo"
1)Нельзя открывать пользователям почту без какой либо причины<br/>
2)Нельзя просматривать почту пользователей без какой либо причины<br/>
3)Нельзя закрывать чат. Закрывать только в том случае если твориться хаос<br/>
4)Нельзя пользоваться Почтой Модератора для общения так как игрок будет вынужден дать ответ на Ваше сообщения. Использовать только: 1. Если игрок избегает своего наказания, 2. Если игрок кинул ковото и нежелает возращать вещи (после точной проверки на кидаловство как таковое)<br/>
<b>5) Рекламировать  сервер</b><br/>
6)Чистить чат и торговый чат только в том случае если в нём набралось более 200 страниц<br/>
7)Нельзя пользоваться должностью в своих целях<br/>
8)Не делать поблажки никому - неважно брат это сестра или друг<br/>
9)Разрешать помогать новичкам и всем пользователям<br/>
10)Не просить Администраторов о повышении должности так как Вы будете немедленно сняты с должности<br/>
11)Нельзя менять анкеты игрокам без крайней на это причины.";
break;
case 'ali':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo "<form action=\"moder.php?$sd&go=delali\" method=\"post\">";
echo "<small>Введите ник главы альянса:</small><br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Удалить альянс"/></form>';

break;
case 'delali':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
$login=$_POST['login'];
if(!@file("L2dbnam/esql2db/ali/$login.dat")){echo"Такой альянс не существует!"; include_once"inclydings/down.php"; exit; }
@unlink ("L2dbnam/esql2db/ali/$login.dat");
@unlink ("L2dbnam/esql2db/ali/bank/$login.dat");
@unlink ("L2dbnam/esql2db/ali/chat/$login.dat");
@unlink ("L2dbnam/esql2db/ali/clans/$login.dat");
@unlink ("L2dbnam/esql2db/ali/desk/$login.dat");
@unlink ("L2dbnam/esql2db/ali/logs/$login.dat");
@unlink ("L2dbnam/esql2db/ali/names/$login.dat");
@unlink ("L2dbnam/esql2db/ali/site/$login.dat");
@unlink ("L2dbnam/esql2db/ali/tmp/$login.dat");
echo"Альянс игрока $login успешно удалён";
break;
case 'stat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
echo "<form action=\"moder.php?$sd&go=savestat\" method=\"post\">";
echo "Введите ник игрока (Главы клана):<br/>";
echo "<input name=\"nick\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "<small>Звание:</small><br/>";
echo "<input name=\"statusus\" maxlength=\"100\"/><br/>";
echo '<input type="submit" value="Изменить"/></form>';
break;
case 'savestat':
if(!@file("L2dbnam/esql2db/moders/$log.dat")){echo"Вы не Модератор!"; include_once"inclydings/nogi.php"; exit; }
if(!@file("L2dbnam/esql2db/reg/$nick.dat")){echo"Такого игрока нет."; include_once"inclydings/down.php"; exit; }

if(@file("L2dbnam/esql2db/clan/$nick.dat")){

$text = @file("L2dbnam/esql2db/clan/$nick.dat");
$data = explode(":||:",$text[0]);
$nick=$_POST['nick'];
$statusus=$_POST['statusus'];
$text=$nick.':||:'.$statusus.':||:';
$fp=fopen("L2dbnam/esql2db/clan/status/$nick.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно присвоили игроку $nick звание:<br/> $statusus"; include_once"inclydings/down.php"; exit; }
echo'Игрок не глава клана.<br/>';include_once"inclydings/down.php"; exit;
break;


}
echo"<br/>- - -<br/><a href=\"moder.php?$sd\">В модер панель</a><br/>";
}else{echo"Вы не модератор"; include'inclydings/down.php'; exit;}
}else{echo"Пароль или логин неверен!";}
include_once"inclydings/down.php";
?>